Bug 1091513 - systemd-udevd: worker timesout automounting WD MY Passport 0830
Summary: systemd-udevd: worker timesout automounting WD MY Passport 0830
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 1148856 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-25 19:15 UTC by Andrew Duggan
Modified: 2015-06-29 20:17 UTC (History)
16 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-29 20:17:32 UTC


Attachments (Terms of Use)
output of udevadm test (from awalls) (10.81 KB, text/plain)
2014-07-08 12:52 UTC, Andy Walls
no flags Details
Remove udev ata_id rule (906 bytes, patch)
2014-08-09 21:12 UTC, tuksgig
no flags Details | Diff
udev attribute walk (5.81 KB, text/plain)
2014-08-09 21:13 UTC, tuksgig
no flags Details

Description Andrew Duggan 2014-04-25 19:15:34 UTC
Description of problem:

Plug in a WD My Passport 0830 1TB USB-3 disk.  Wait for it to mount. doesn't mount. Can be manually mounted by creating a directory and mount -t ntfs /dev/sdb /media/myp

Version-Release number of selected component (if applicable):
20

How reproducible:
Always

Steps to Reproduce:
1.Plug in Drive
2.wait
3.

Actual results:
Not mounted.  message about systemd-udevd: worker [26881] /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host7/target7:0:0/7:0:0:0/block/sdb/sdb1 timeout; kill it.


Expected results:

Drive automounts

Additional info:
Works OK on same machine when booted in windows 7.  Earlier WD My Passport 500MB drives USB-3 automount correctly. 


Can be manually mounted by creating a directory and mount -t ntfs /dev/sdb /media/myp

Apr 25 14:57:57 apd-hp2 kernel: sdb: sdb1
Apr 25 14:57:57 apd-hp2 kernel: [16459.572147] sd 7:0:0:0: [sdb] No Caching mode page found
Apr 25 14:57:57 apd-hp2 kernel: [16459.572154] sd 7:0:0:0: [sdb] Assuming drive cache: write through
Apr 25 14:57:57 apd-hp2 kernel: [16459.572189] sd 7:0:0:0: [sdb] Attached SCSI disk
Apr 25 14:57:57 apd-hp2 kernel: sd 7:0:0:0: [sdb] No Caching mode page found
Apr 25 14:57:57 apd-hp2 kernel: sd 7:0:0:0: [sdb] Assuming drive cache: write through
Apr 25 14:57:57 apd-hp2 kernel: sd 7:0:0:0: [sdb] Attached SCSI disk
Apr 25 14:58:28 apd-hp2 systemd-udevd: worker [26881] /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host7/target7:0:0/7:0:0:0/block/sdb/sdb1 timeout; kill it
Apr 25 14:58:28 apd-hp2 systemd-udevd: seq 2269 '/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host7/target7:0:0/7:0:0:0/block/sdb/sdb1' killed

Comment 1 Andrew Duggan 2014-05-08 15:38:27 UTC
based on some hints from ubuntu, here is the outpu of udisks --dump

Showing information for /org/freedesktop/UDisks/devices/sdb
  native-path:                 /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host8/target8:0:0/8:0:0:0/block/sdb
  device:                      8:16
  device-file:                 /dev/sdb
    presentation:              /dev/sdb
    by-id:                     /dev/disk/by-id/ata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307
    by-id:                     /dev/disk/by-id/wwn-0x50014ee2099c31e4
    by-path:                   /dev/disk/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0
  detected at:                 Thu 08 May 2014 11:21:59 EDT
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Thu 08 May 2014 11:21:59 EDT)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        1000170586112
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    
    count:                     1
  drive:
    vendor:                    WD
    model:                     WDC WD10JMVW-11AJGS3
    revision:                  01.01A01
    serial:                    WD-WX41AB3H2307
    WWN:                       50014ee2099c31e4
    detachable:                1
    can spindown:              0
    rotational media:          Yes, at 5400 RPM
    write-cache:               enabled
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sdb1
  native-path:                 /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host8/target8:0:0/8:0:0:0/block/sdb/sdb1
  device:                      8:17
  device-file:                 /dev/sdb1
    presentation:              /dev/sdb1
  detected at:                 Thu 08 May 2014 11:21:59 EDT
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Thu 08 May 2014 11:21:59 EDT)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  automount hint:              
  size:                        1000169537536
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition:
    part of:                   /org/freedesktop/UDisks/devices/sdb
    scheme:                    
    number:                    1
    type:                      
    flags:                    
    offset:                    1048576
    alignment offset:          0
    size:                      1000169537536
    label:                     
    uuid:

Comment 2 Kay Sievers 2014-06-20 12:41:21 UTC
Please run this:
  $ sudo udevadm test --action=add /sys/class/block/sdb
  calling: test
  version 214
  This program is for debugging only, it does not run any program
  ...

And paste the output here.

Comment 3 Andy Walls 2014-07-08 12:51:17 UTC
I also have a similar problem with a Western Digital MyBook (4 TB)

Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: new SuperSpeed USB device number 2 using xhci_hcd
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: Parent hub missing LPM exit latency info.  Power management will be impacted.
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: New USB device found, idVendor=1058, idProduct=1230
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: Product: My Book 1230
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: Manufacturer: Western Digital
Jul 08 08:07:52 localhost.localdomain kernel: usb 4-1: SerialNumber: 574343344530353338303730
Jul 08 08:07:52 localhost.localdomain mtp-probe[3004]: checking bus 4, device 2: "/sys/devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1"
Jul 08 08:07:52 localhost.localdomain mtp-probe[3004]: bus: 4, device: 2 was not an MTP device
Jul 08 08:07:52 localhost.localdomain kernel: usb-storage 4-1:1.0: USB Mass Storage device detected
Jul 08 08:07:52 localhost.localdomain kernel: scsi6 : usb-storage 4-1:1.0
Jul 08 08:07:52 localhost.localdomain kernel: usbcore: registered new interface driver usb-storage
Jul 08 08:07:53 localhost.localdomain kernel: scsi 6:0:0:0: Direct-Access     WD       My Book 1230     1050 PQ: 0 ANSI: 6
Jul 08 08:07:53 localhost.localdomain kernel: scsi 6:0:0:1: Enclosure         WD       SES Device       1050 PQ: 0 ANSI: 6
Jul 08 08:07:53 localhost.localdomain kernel: sd 6:0:0:0: Attached scsi generic sg2 type 0
Jul 08 08:07:53 localhost.localdomain kernel: scsi 6:0:0:1: Attached scsi generic sg3 type 13
Jul 08 08:07:53 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Spinning up disk...
Jul 08 08:07:53 localhost.localdomain kernel: scsi 6:0:0:1: Failed to get diagnostic page 0x8000002
Jul 08 08:07:53 localhost.localdomain kernel: scsi 6:0:0:1: Failed to bind enclosure -19
Jul 08 08:07:53 localhost.localdomain kernel: ses 6:0:0:1: Attached Enclosure device
Jul 08 08:08:04 localhost.localdomain kernel: ...........ready
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] 976746240 4096-byte logical blocks: (4.00 TB/3.63 TiB)
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Write Protect is off
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Mode Sense: 53 00 10 08
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] No Caching mode page found
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] 976746240 4096-byte logical blocks: (4.00 TB/3.63 TiB)
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] No Caching mode page found
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jul 08 08:08:04 localhost.localdomain kernel:  sdb: sdb1 sdb2 sdb3
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] 976746240 4096-byte logical blocks: (4.00 TB/3.63 TiB)
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] No Caching mode page found
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Assuming drive cache: write through
Jul 08 08:08:04 localhost.localdomain kernel: sd 6:0:0:0: [sdb] Attached SCSI disk
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: worker [3017] /devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: seq 2487 '/devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:0/6:
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: worker [3019] /devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: seq 2488 '/devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:0/6:
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: worker [3020] /devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:
Jul 08 08:08:35 localhost.localdomain systemd-udevd[620]: seq 2489 '/devices/pci0000:00/0000:00:1c.6/0000:0e:00.0/usb4/4-1/4-1:1.0/host6/target6:0:0/6:
Jul 08 08:08:35 localhost.localdomain kernel: usb 4-1: reset SuperSpeed USB device number 2 using xhci_hcd
Jul 08 08:08:35 localhost.localdomain kernel: usb 4-1: Parent hub missing LPM exit latency info.  Power management will be impacted.
Jul 08 08:08:35 localhost.localdomain kernel: xhci_hcd 0000:0e:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff8801b352a380
Jul 08 08:08:35 localhost.localdomain kernel: xhci_hcd 0000:0e:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff8801b352a3c0
Jul 08 08:08:36 localhost.localdomain systemd-udevd[620]: worker [3017] terminated by signal 9 (Killed)
Jul 08 08:08:36 localhost.localdomain systemd-udevd[620]: worker [3019] terminated by signal 9 (Killed)
Jul 08 08:08:36 localhost.localdomain systemd-udevd[620]: worker [3020] terminated by signal 9 (Killed)

Comment 4 Andy Walls 2014-07-08 12:52:31 UTC
Created attachment 916362 [details]
output of udevadm test (from awalls)

Comment 5 Andrew Duggan 2014-07-14 21:24:39 UTC
sudo udevadm test --action=add /sys/class/block/sdb
calling: test
version 208
This program is for debugging only, it does not run any program
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

load module index
read rules file: /usr/lib/udev/rules.d/10-dm.rules
read rules file: /usr/lib/udev/rules.d/11-dm-lvm.rules
read rules file: /usr/lib/udev/rules.d/13-dm-disk.rules
read rules file: /usr/lib/udev/rules.d/20-crystalhd.rules
read rules file: /usr/lib/udev/rules.d/40-libgphoto2.rules
IMPORT found builtin 'usb_id --export %%p', replacing /usr/lib/udev/rules.d/40-libgphoto2.rules:11
read rules file: /usr/lib/udev/rules.d/40-usb-media-players.rules
read rules file: /usr/lib/udev/rules.d/40-usb_modeswitch.rules
read rules file: /usr/lib/udev/rules.d/42-usb-hid-pm.rules
read rules file: /usr/lib/udev/rules.d/50-udev-default.rules
read rules file: /usr/lib/udev/rules.d/56-hpmud.rules
read rules file: /usr/lib/udev/rules.d/60-cdrom_id.rules
read rules file: /usr/lib/udev/rules.d/60-drm.rules
read rules file: /usr/lib/udev/rules.d/60-ffado.rules
read rules file: /usr/lib/udev/rules.d/60-fprint-autosuspend.rules
read rules file: /usr/lib/udev/rules.d/60-keyboard.rules
read rules file: /etc/udev/rules.d/60-libnjb.rules
read rules file: /usr/lib/udev/rules.d/60-net.rules
read rules file: /usr/lib/udev/rules.d/60-pcmcia.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-alsa.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-input.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-serial.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-storage-tape.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-storage.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-v4l.rules
read rules file: /usr/lib/udev/rules.d/60-raw.rules
read rules file: /usr/lib/udev/rules.d/61-accelerometer.rules
read rules file: /usr/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules
read rules file: /usr/lib/udev/rules.d/63-md-raid-arrays.rules
read rules file: /usr/lib/udev/rules.d/64-btrfs.rules
read rules file: /usr/lib/udev/rules.d/64-md-raid-assembly.rules
read rules file: /usr/lib/udev/rules.d/65-libwacom.rules
read rules file: /usr/lib/udev/rules.d/65-md-incremental.rules
read rules file: /usr/lib/udev/rules.d/65-sane-backends.rules
read rules file: /usr/lib/udev/rules.d/69-cd-sensors.rules
read rules file: /usr/lib/udev/rules.d/69-dm-lvm-metad.rules
read rules file: /usr/lib/udev/rules.d/69-libmtp.rules
read rules file: /usr/lib/udev/rules.d/69-pilot-link.rules
read rules file: /usr/lib/udev/rules.d/69-xorg-vmmouse.rules
read rules file: /usr/lib/udev/rules.d/69-yubikey.rules
read rules file: /usr/lib/udev/rules.d/70-power-switch.rules
read rules file: /usr/lib/udev/rules.d/70-printers.rules
read rules file: /usr/lib/udev/rules.d/70-spice-vdagentd.rules
read rules file: /usr/lib/udev/rules.d/70-touchpad-quirks.rules
read rules file: /usr/lib/udev/rules.d/70-uaccess.rules
read rules file: /usr/lib/udev/rules.d/70-wacom.rules
read rules file: /usr/lib/udev/rules.d/71-biosdevname.rules
read rules file: /usr/lib/udev/rules.d/71-seat.rules
read rules file: /usr/lib/udev/rules.d/73-seat-late.rules
read rules file: /usr/lib/udev/rules.d/75-net-description.rules
read rules file: /usr/lib/udev/rules.d/75-probe_mtd.rules
read rules file: /usr/lib/udev/rules.d/75-tty-description.rules
read rules file: /usr/lib/udev/rules.d/77-nm-olpc-mesh.rules
read rules file: /usr/lib/udev/rules.d/78-sound-card.rules
read rules file: /usr/lib/udev/rules.d/80-drivers.rules
read rules file: /usr/lib/udev/rules.d/80-net-name-slot.rules
read rules file: /usr/lib/udev/rules.d/80-udisks.rules
read rules file: /usr/lib/udev/rules.d/80-udisks2.rules
read rules file: /usr/lib/udev/rules.d/85-regulatory.rules
read rules file: /usr/lib/udev/rules.d/85-usbmuxd.rules
read rules file: /usr/lib/udev/rules.d/90-alsa-restore.rules
read rules file: /usr/lib/udev/rules.d/90-alsa-tools-firmware.rules
read rules file: /usr/lib/udev/rules.d/90-libgpod.rules
read rules file: /usr/lib/udev/rules.d/90-pulseaudio.rules
read rules file: /etc/udev/rules.d/90-wireshark-usbmon.rules
read rules file: /usr/lib/udev/rules.d/91-drm-modeset.rules
read rules file: /usr/lib/udev/rules.d/95-cd-devices.rules
read rules file: /usr/lib/udev/rules.d/95-dm-notify.rules
read rules file: /usr/lib/udev/rules.d/95-udev-late.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-dell.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-fujitsu.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-gateway.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-ibm.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-lenovo.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-toshiba.rules
read rules file: /usr/lib/udev/rules.d/95-upower-csr.rules
read rules file: /usr/lib/udev/rules.d/95-upower-hid.rules
read rules file: /usr/lib/udev/rules.d/95-upower-wup.rules
read rules file: /etc/udev/rules.d/98-kexec.rules
read rules file: /usr/lib/udev/rules.d/99-systemd.rules
rules contain 393216 bytes tokens (32768 * 12 bytes), 36943 bytes strings
29107 strings (242485 bytes), 25689 de-duplicated (208961 bytes), 3419 trie nodes used
GROUP 6 /usr/lib/udev/rules.d/50-udev-default.rules:51
IMPORT 'ata_id --export /dev/sdb' /usr/lib/udev/rules.d/60-persistent-storage.rules:35
starting 'ata_id --export /dev/sdb'
'ata_id --export /dev/sdb'(out) 'ID_ATA=1'
'ata_id --export /dev/sdb'(out) 'ID_TYPE=disk'
'ata_id --export /dev/sdb'(out) 'ID_BUS=ata'
'ata_id --export /dev/sdb'(out) 'ID_MODEL=WDC_WD10JMVW-11AJGS3'
'ata_id --export /dev/sdb'(out) 'ID_MODEL_ENC=WDC\x20WD10JMVW-11AJGS3\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20'
'ata_id --export /dev/sdb'(out) 'ID_REVISION=01.01A01'
'ata_id --export /dev/sdb'(out) 'ID_SERIAL=WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307'
'ata_id --export /dev/sdb'(out) 'ID_SERIAL_SHORT=WD-WX41AB3H2307'
'ata_id --export /dev/sdb'(out) 'ID_ATA_WRITE_CACHE=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_WRITE_CACHE_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PM=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PM_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ENABLED=0'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ERASE_UNIT_MIN=368'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ENHANCED_ERASE_UNIT_MIN=2'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SMART=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SMART_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PUIS=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PUIS_ENABLED=0'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_APM=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_APM_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_APM_CURRENT_VALUE=128'
'ata_id --export /dev/sdb'(out) 'ID_ATA_DOWNLOAD_MICROCODE=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA_SIGNAL_RATE_GEN2=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA_SIGNAL_RATE_GEN1=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_ROTATION_RATE_RPM=5400'
'ata_id --export /dev/sdb'(out) 'ID_WWN=0x50014ee2099c31e4'
'ata_id --export /dev/sdb'(out) 'ID_WWN_WITH_EXTENSION=0x50014ee2099c31e4'
'ata_id --export /dev/sdb' [31572] exit with return code 0
LINK 'disk/by-id/ata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307' /usr/lib/udev/rules.d/60-persistent-storage.rules:42
IMPORT builtin 'path_id' /usr/lib/udev/rules.d/60-persistent-storage.rules:55
LINK 'disk/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0' /usr/lib/udev/rules.d/60-persistent-storage.rules:56
IMPORT builtin 'blkid' /usr/lib/udev/rules.d/60-persistent-storage.rules:70
probe /dev/sdb raid offset=0
LINK 'disk/by-id/wwn-0x50014ee2099c31e4' /usr/lib/udev/rules.d/60-persistent-storage.rules:80
IMPORT 'udisks-part-id /dev/sdb' /usr/lib/udev/rules.d/80-udisks.rules:88
starting 'udisks-part-id /dev/sdb'
'udisks-part-id /dev/sdb'(err) 'using device_file=/dev/sdb syspath=/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host6/target6:0:0/6:0:0:0/block/sdb, offset=0 ao=0 and number=0 for /dev/sdb'
'udisks-part-id /dev/sdb'(err) 'Entering MS-DOS parser (offset=0, size=1000170586112)'
'udisks-part-id /dev/sdb'(err) 'MSDOS_MAGIC found'
'udisks-part-id /dev/sdb'(err) 'looking at part 0 (offset 1048576, size 1000169537536, type 0x07)'
'udisks-part-id /dev/sdb'(err) 'new part entry'
'udisks-part-id /dev/sdb'(err) 'looking at part 1 (offset 0, size 0, type 0x00)'
'udisks-part-id /dev/sdb'(err) 'new part entry'
'udisks-part-id /dev/sdb'(err) 'looking at part 2 (offset 0, size 0, type 0x00)'
'udisks-part-id /dev/sdb'(err) ''
'udisks-part-id /dev/sdb'(err) 'new part entry'
'udisks-part-id /dev/sdb'(err) 'looking at part 3 (offset 0, size 0, type 0x00)'
'udisks-part-id /dev/sdb'(err) 'new part entry'
'udisks-part-id /dev/sdb'(err) 'Exiting MS-DOS parser'
'udisks-part-id /dev/sdb'(err) 'MSDOS partition table detected'
'udisks-part-id /dev/sdb'(out) 'UDISKS_PARTITION_TABLE=1'
'udisks-part-id /dev/sdb'(out) 'UDISKS_PARTITION_TABLE_SCHEME=mbr'
'udisks-part-id /dev/sdb'(out) 'UDISKS_PARTITION_TABLE_COUNT=1'
'udisks-part-id /dev/sdb' [31575] exit with return code 0
IMPORT 'udisks-probe-ata-smart /dev/sdb' /usr/lib/udev/rules.d/80-udisks.rules:115
starting 'udisks-probe-ata-smart /dev/sdb'
'udisks-probe-ata-smart /dev/sdb'(out) 'UDISKS_ATA_SMART_IS_AVAILABLE=1'
'udisks-probe-ata-smart /dev/sdb' [31576] exit with return code 0
handling device node '/dev/sdb', devnum=b8:16, mode=0660, uid=0, gid=6
preserve permissions /dev/sdb, 060660, uid=0, gid=6
preserve already existing symlink '/dev/block/8:16' to '../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-id\x2fata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307'
creating link '/dev/disk/by-id/ata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-id/ata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307' to '../../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-id\x2fwwn-0x50014ee2099c31e4'
creating link '/dev/disk/by-id/wwn-0x50014ee2099c31e4' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-id/wwn-0x50014ee2099c31e4' to '../../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-path\x2fpci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0'
creating link '/dev/disk/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0' to '../../sdb'
.ID_FS_TYPE_NEW=
ACTION=add
DEVLINKS=/dev/disk/by-id/ata-WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307 /dev/disk/by-id/wwn-0x50014ee2099c31e4 /dev/disk/by-path/pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0
DEVNAME=/dev/sdb
DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/host6/target6:0:0/6:0:0:0/block/sdb
DEVTYPE=disk
ID_ATA=1
ID_ATA_DOWNLOAD_MICROCODE=1
ID_ATA_FEATURE_SET_APM=1
ID_ATA_FEATURE_SET_APM_CURRENT_VALUE=128
ID_ATA_FEATURE_SET_APM_ENABLED=1
ID_ATA_FEATURE_SET_PM=1
ID_ATA_FEATURE_SET_PM_ENABLED=1
ID_ATA_FEATURE_SET_PUIS=1
ID_ATA_FEATURE_SET_PUIS_ENABLED=0
ID_ATA_FEATURE_SET_SECURITY=1
ID_ATA_FEATURE_SET_SECURITY_ENABLED=0
ID_ATA_FEATURE_SET_SECURITY_ENHANCED_ERASE_UNIT_MIN=2
ID_ATA_FEATURE_SET_SECURITY_ERASE_UNIT_MIN=368
ID_ATA_FEATURE_SET_SMART=1
ID_ATA_FEATURE_SET_SMART_ENABLED=1
ID_ATA_ROTATION_RATE_RPM=5400
ID_ATA_SATA=1
ID_ATA_SATA_SIGNAL_RATE_GEN1=1
ID_ATA_SATA_SIGNAL_RATE_GEN2=1
ID_ATA_WRITE_CACHE=1
ID_ATA_WRITE_CACHE_ENABLED=1
ID_BUS=ata
ID_FS_TYPE=
ID_MODEL=WDC_WD10JMVW-11AJGS3
ID_MODEL_ENC=WDC\x20WD10JMVW-11AJGS3\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20
ID_PART_TABLE_TYPE=dos
ID_PART_TABLE_UUID=98f3140a
ID_PATH=pci-0000:00:1a.0-usb-0:1.2:1.0-scsi-0:0:0:0
ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_2_1_0-scsi-0_0_0_0
ID_REVISION=01.01A01
ID_SERIAL=WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307
ID_SERIAL_SHORT=WD-WX41AB3H2307
ID_TYPE=disk
ID_WWN=0x50014ee2099c31e4
ID_WWN_WITH_EXTENSION=0x50014ee2099c31e4
MAJOR=8
MINOR=16
SUBSYSTEM=block
TAGS=:systemd:
UDISKS_ATA_SMART_IS_AVAILABLE=1
UDISKS_PARTITION_TABLE=1
UDISKS_PARTITION_TABLE_COUNT=1
UDISKS_PARTITION_TABLE_SCHEME=mbr
UDISKS_PRESENTATION_NOPOLICY=0
USEC_INITIALIZED=814805059
unload module index

Comment 6 Selwyn Quan 2014-07-27 16:23:09 UTC
Similar issue here with a WD Elements USB drive (3 TB).

sudo udevadm test --action=add /sys/class/block/sdb
calling: test
version 208
This program is for debugging only, it does not run any program
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.
load module index
read rules file: /usr/lib/udev/rules.d/10-dm.rules
read rules file: /usr/lib/udev/rules.d/11-dm-lvm.rules
read rules file: /usr/lib/udev/rules.d/13-dm-disk.rules
read rules file: /usr/lib/udev/rules.d/40-libgphoto2.rules
IMPORT found builtin 'usb_id --export %%p', replacing /usr/lib/udev/rules.d/40-libgphoto2.rules:11
read rules file: /usr/lib/udev/rules.d/40-usb-media-players.rules
read rules file: /usr/lib/udev/rules.d/40-usb_modeswitch.rules
read rules file: /usr/lib/udev/rules.d/42-usb-hid-pm.rules
read rules file: /usr/lib/udev/rules.d/50-udev-default.rules
read rules file: /usr/lib/udev/rules.d/56-hpmud.rules
read rules file: /usr/lib/udev/rules.d/60-cdrom_id.rules
read rules file: /usr/lib/udev/rules.d/60-drm.rules
read rules file: /usr/lib/udev/rules.d/60-fprint-autosuspend.rules
read rules file: /usr/lib/udev/rules.d/60-keyboard.rules
read rules file: /usr/lib/udev/rules.d/60-net.rules
read rules file: /usr/lib/udev/rules.d/60-pcmcia.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-alsa.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-input.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-serial.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-storage-tape.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-storage.rules
read rules file: /usr/lib/udev/rules.d/60-persistent-v4l.rules
read rules file: /usr/lib/udev/rules.d/60-raw.rules
read rules file: /usr/lib/udev/rules.d/61-accelerometer.rules
read rules file: /usr/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules
read rules file: /usr/lib/udev/rules.d/62-multipath.rules
read rules file: /usr/lib/udev/rules.d/63-md-raid-arrays.rules
read rules file: /usr/lib/udev/rules.d/64-btrfs.rules
read rules file: /usr/lib/udev/rules.d/64-md-raid-assembly.rules
read rules file: /usr/lib/udev/rules.d/65-libwacom.rules
read rules file: /usr/lib/udev/rules.d/65-md-incremental.rules
read rules file: /usr/lib/udev/rules.d/65-sane-backends.rules
read rules file: /usr/lib/udev/rules.d/69-cd-sensors.rules
read rules file: /usr/lib/udev/rules.d/69-dm-lvm-metad.rules
read rules file: /usr/lib/udev/rules.d/69-libmtp.rules
read rules file: /usr/lib/udev/rules.d/69-xorg-vmmouse.rules
read rules file: /usr/lib/udev/rules.d/70-power-switch.rules
read rules file: /usr/lib/udev/rules.d/70-printers.rules
read rules file: /usr/lib/udev/rules.d/70-spice-vdagentd.rules
read rules file: /usr/lib/udev/rules.d/70-touchpad-quirks.rules
read rules file: /usr/lib/udev/rules.d/70-uaccess.rules
read rules file: /usr/lib/udev/rules.d/70-wacom.rules
read rules file: /usr/lib/udev/rules.d/71-biosdevname.rules
read rules file: /usr/lib/udev/rules.d/71-seat.rules
read rules file: /usr/lib/udev/rules.d/73-seat-late.rules
read rules file: /usr/lib/udev/rules.d/75-net-description.rules
read rules file: /usr/lib/udev/rules.d/75-probe_mtd.rules
read rules file: /usr/lib/udev/rules.d/75-tty-description.rules
read rules file: /usr/lib/udev/rules.d/77-nm-olpc-mesh.rules
read rules file: /usr/lib/udev/rules.d/78-sound-card.rules
read rules file: /usr/lib/udev/rules.d/80-drivers.rules
read rules file: /usr/lib/udev/rules.d/80-kvm.rules
read rules file: /usr/lib/udev/rules.d/80-net-name-slot.rules
read rules file: /usr/lib/udev/rules.d/80-udisks2.rules
read rules file: /usr/lib/udev/rules.d/85-regulatory.rules
read rules file: /usr/lib/udev/rules.d/85-usbmuxd.rules
read rules file: /usr/lib/udev/rules.d/90-alsa-restore.rules
read rules file: /usr/lib/udev/rules.d/90-alsa-tools-firmware.rules
read rules file: /usr/lib/udev/rules.d/90-libgpod.rules
read rules file: /usr/lib/udev/rules.d/90-pulseaudio.rules
read rules file: /usr/lib/udev/rules.d/91-drm-modeset.rules
read rules file: /usr/lib/udev/rules.d/95-cd-devices.rules
read rules file: /usr/lib/udev/rules.d/95-dm-notify.rules
read rules file: /usr/lib/udev/rules.d/95-udev-late.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-dell.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-fujitsu.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-gateway.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-ibm.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-lenovo.rules
read rules file: /usr/lib/udev/rules.d/95-upower-battery-recall-toshiba.rules
read rules file: /usr/lib/udev/rules.d/95-upower-csr.rules
read rules file: /usr/lib/udev/rules.d/95-upower-hid.rules
read rules file: /usr/lib/udev/rules.d/95-upower-wup.rules
read rules file: /etc/udev/rules.d/98-kexec.rules
read rules file: /usr/lib/udev/rules.d/99-systemd.rules
rules contain 393216 bytes tokens (32768 * 12 bytes), 35268 bytes strings
28385 strings (236386 bytes), 25084 de-duplicated (204420 bytes), 3302 trie nodes used
GROUP 6 /usr/lib/udev/rules.d/50-udev-default.rules:51
IMPORT 'ata_id --export /dev/sdb' /usr/lib/udev/rules.d/60-persistent-storage.rules:35
starting 'ata_id --export /dev/sdb'
'ata_id --export /dev/sdb'(out) 'ID_ATA=1'
'ata_id --export /dev/sdb'(out) 'ID_TYPE=disk'
'ata_id --export /dev/sdb'(out) 'ID_BUS=ata'
'ata_id --export /dev/sdb'(out) 'ID_MODEL=WDC_WD30EZRX-00D8PB0'
'ata_id --export /dev/sdb'(out) 'ID_MODEL_ENC=WDC\x20WD30EZRX-00D8PB0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20'
'ata_id --export /dev/sdb'(out) 'ID_REVISION=80.00A80'
'ata_id --export /dev/sdb'(out) 'ID_SERIAL=WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261'
'ata_id --export /dev/sdb'(out) 'ID_SERIAL_SHORT=WD-WCC4N1148261'
'ata_id --export /dev/sdb'(out) 'ID_ATA_WRITE_CACHE=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_WRITE_CACHE_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PM=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PM_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ENABLED=0'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ERASE_UNIT_MIN=432'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SECURITY_ENHANCED_ERASE_UNIT_MIN=432'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SMART=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_SMART_ENABLED=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PUIS=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_FEATURE_SET_PUIS_ENABLED=0'
'ata_id --export /dev/sdb'(out) 'ID_ATA_DOWNLOAD_MICROCODE=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA_SIGNAL_RATE_GEN2=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_SATA_SIGNAL_RATE_GEN1=1'
'ata_id --export /dev/sdb'(out) 'ID_ATA_ROTATION_RATE_RPM=5400'
'ata_id --export /dev/sdb'(out) 'ID_WWN=0x50014ee2b4ce7786'
'ata_id --export /dev/sdb'(out) 'ID_WWN_WITH_EXTENSION=0x50014ee2b4ce7786'
'ata_id --export /dev/sdb' [2492] exit with return code 0
LINK 'disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261' /usr/lib/udev/rules.d/60-persistent-storage.rules:42
IMPORT builtin 'path_id' /usr/lib/udev/rules.d/60-persistent-storage.rules:55
LINK 'disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0' /usr/lib/udev/rules.d/60-persistent-storage.rules:56
IMPORT builtin 'blkid' /usr/lib/udev/rules.d/60-persistent-storage.rules:70
probe /dev/sdb raid offset=0
LINK 'disk/by-id/wwn-0x50014ee2b4ce7786' /usr/lib/udev/rules.d/60-persistent-storage.rules:80
handling device node '/dev/sdb', devnum=b8:16, mode=0660, uid=0, gid=6
preserve permissions /dev/sdb, 060660, uid=0, gid=6
preserve already existing symlink '/dev/block/8:16' to '../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-id\x2fata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261'
creating link '/dev/disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261' to '../../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-id\x2fwwn-0x50014ee2b4ce7786'
creating link '/dev/disk/by-id/wwn-0x50014ee2b4ce7786' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-id/wwn-0x50014ee2b4ce7786' to '../../sdb'
found 'b8:16' claiming '/run/udev/links/\x2fdisk\x2fby-path\x2fpci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0'
creating link '/dev/disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0' to '/dev/sdb'
preserve already existing symlink '/dev/disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0' to '../../sdb'
.ID_FS_TYPE_NEW=
ACTION=add
DEVLINKS=/dev/disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261 /dev/disk/by-id/wwn-0x50014ee2b4ce7786 /dev/disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0
DEVNAME=/dev/sdb
DEVPATH=/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0/host10/target10:0:0/10:0:0:0/block/sdb
DEVTYPE=disk
ID_ATA=1
ID_ATA_DOWNLOAD_MICROCODE=1
ID_ATA_FEATURE_SET_PM=1
ID_ATA_FEATURE_SET_PM_ENABLED=1
ID_ATA_FEATURE_SET_PUIS=1
ID_ATA_FEATURE_SET_PUIS_ENABLED=0
ID_ATA_FEATURE_SET_SECURITY=1
ID_ATA_FEATURE_SET_SECURITY_ENABLED=0
ID_ATA_FEATURE_SET_SECURITY_ENHANCED_ERASE_UNIT_MIN=432
ID_ATA_FEATURE_SET_SECURITY_ERASE_UNIT_MIN=432
ID_ATA_FEATURE_SET_SMART=1
ID_ATA_FEATURE_SET_SMART_ENABLED=1
ID_ATA_ROTATION_RATE_RPM=5400
ID_ATA_SATA=1
ID_ATA_SATA_SIGNAL_RATE_GEN1=1
ID_ATA_SATA_SIGNAL_RATE_GEN2=1
ID_ATA_WRITE_CACHE=1
ID_ATA_WRITE_CACHE_ENABLED=1
ID_BUS=ata
ID_FS_TYPE=
ID_MODEL=WDC_WD30EZRX-00D8PB0
ID_MODEL_ENC=WDC\x20WD30EZRX-00D8PB0\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20
ID_PART_TABLE_TYPE=gpt
ID_PART_TABLE_UUID=f45a6c5f-9127-46e0-a007-348c1b0eae17
ID_PATH=pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0
ID_PATH_TAG=pci-0000_00_12_2-usb-0_6_1_0-scsi-0_0_0_0
ID_REVISION=80.00A80
ID_SERIAL=WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261
ID_SERIAL_SHORT=WD-WCC4N1148261
ID_TYPE=disk
ID_WWN=0x50014ee2b4ce7786
ID_WWN_WITH_EXTENSION=0x50014ee2b4ce7786
MAJOR=8
MINOR=16
MPATH_SBIN_PATH=/sbin
SUBSYSTEM=block
TAGS=:systemd:
USEC_INITIALIZED=7631668
unload module index

Comment 7 tuksgig 2014-08-07 17:35:47 UTC
Workaround that works for me on my WD Elements 1TB is to boot with the drive connected.

Comment 8 tuksgig 2014-08-09 21:12:02 UTC
Created attachment 925406 [details]
Remove udev ata_id rule

I traced the problem to a "blkid" filesystem probe in "/usr/lib/udev/rules.d/60-persistent-storage.rules" @ line 70. Calling blkid manually takes around 34 seconds to return on my machine, so udev kills it at 30 seconds.

The excessive blkid wait is triggered higher up in "60-persistent-storage.rules" @ line 35, where "ata_id" is called to probe the device. I believe one of the ata_id returned attributes is causing blkid to probe for something that isn't there.

A temporary fix is to comment out line 35, causing a fallback to "usb_id" rule at line 37, and a successful blkid probe.

See attached patch and udev attribute walk (ATTR{removable}=="0" is present, which triggers line "ata_id" rule).

Comment 9 tuksgig 2014-08-09 21:13:12 UTC
Created attachment 925407 [details]
udev attribute walk

Comment 10 Andrew Duggan 2014-08-11 15:58:39 UTC
I can confirm that with line 35 of /usr/lib/udev/rules.d/60-persistent-storage.rules commented out my drive automounts correctly. 

Thanks!

Comment 11 Andrew Duggan 2014-08-11 16:21:26 UTC
Follow up

In previous versions (F18 and before...)

/usr/lib/udev/ata_id

was provided by udev, but udev is no more being folded into systemd so why is ata_id still being referenced in a rule?

$ rpm -qf /usr/lib/udev/rules.d/60-persistent-storage.rules
systemd-208-21.fc20.i686

$ rpm -qv systemd-208-21.fc20.i686
$

So this *is* a systemd bug after all.  They left a reference for ata_id in a rule but didn't supply ata_id.  

yum whatprovides ata_id returns nothing.

This affects Fedora 19 as well.

systemd, either supply ata_id or remove all references to ata_id in udev rules 
which appear at least on my system to be in t

/usr/lib/udev/rules.d/60-persistent-storage.rules

at both lines 30 and 35.  


Perhaps the systemd folks should audit the udev rules files to make sure other things like this aren't hiding out.

Very many thanks to tuksgig!!! for figuring out to comment the ata_id line out!

Comment 12 Andrew Duggan 2014-08-11 17:57:22 UTC
Sorry about the above, I didn't wait long enough for my find / -name ata_id to complete.  

Anyway, so why does this fail IFF we call ata_id but works if we don't?

/usr/lib/udev/ata_id --export /dev/sdb
ID_ATA=1
ID_TYPE=disk
ID_BUS=ata
ID_MODEL=WDC_WD10JMVW-11AJGS3
ID_MODEL_ENC=WDC\x20WD10JMVW-11AJGS3\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20
ID_REVISION=01.01A01
ID_SERIAL=WDC_WD10JMVW-11AJGS3_WD-WX41AB3H2307
ID_SERIAL_SHORT=WD-WX41AB3H2307
ID_ATA_WRITE_CACHE=1
ID_ATA_WRITE_CACHE_ENABLED=1
ID_ATA_FEATURE_SET_PM=1
ID_ATA_FEATURE_SET_PM_ENABLED=1
ID_ATA_FEATURE_SET_SECURITY=1
ID_ATA_FEATURE_SET_SECURITY_ENABLED=0
ID_ATA_FEATURE_SET_SECURITY_ERASE_UNIT_MIN=368
ID_ATA_FEATURE_SET_SECURITY_ENHANCED_ERASE_UNIT_MIN=2
ID_ATA_FEATURE_SET_SMART=1
ID_ATA_FEATURE_SET_SMART_ENABLED=1
ID_ATA_FEATURE_SET_PUIS=1
ID_ATA_FEATURE_SET_PUIS_ENABLED=0
ID_ATA_FEATURE_SET_APM=1
ID_ATA_FEATURE_SET_APM_ENABLED=1
ID_ATA_FEATURE_SET_APM_CURRENT_VALUE=128
ID_ATA_DOWNLOAD_MICROCODE=1
ID_ATA_SATA=1
ID_ATA_SATA_SIGNAL_RATE_GEN2=1
ID_ATA_SATA_SIGNAL_RATE_GEN1=1
ID_ATA_ROTATION_RATE_RPM=5400
ID_WWN=0x50014ee2099c31e4
ID_WWN_WITH_EXTENSION=0x50014ee2099c31e4

Comment 13 Selwyn Quan 2014-08-17 02:40:18 UTC
Can also confirm that after commenting out line 35 of /usr/lib/udev/rules.d/60-persistent-storage.rules as per comment 8, my USB drive automounts as expected.

Comment 14 Fedora Update System 2014-10-26 23:10:19 UTC
systemd-208-25.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-25.fc20

Comment 15 Harald Hoyer 2014-10-29 14:56:19 UTC
*** Bug 1148856 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2014-10-30 11:59:55 UTC
systemd-208-26.fc20,kmod-15-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-26.fc20,kmod-15-2.fc20

Comment 17 Zbigniew Jędrzejewski-Szmek 2014-10-30 13:43:29 UTC
This update increases the timeout to 3 minutes. If that doesn't help, than the error is not just the timeout.

Comment 18 Fedora Update System 2014-11-01 01:40:41 UTC
Package systemd-208-26.fc20, kmod-15-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-26.fc20 kmod-15-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14032/systemd-208-26.fc20,kmod-15-2.fc20
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-11-02 07:26:42 UTC
systemd-208-25.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Selwyn Quan 2014-11-05 03:53:16 UTC
The systemd-208-25.fc20 update does not resolve the automounting issue for me.

As previously noted, commenting out line 35 of /usr/lib/udev/rules.d/60-persistent-storage.rules results in my USB drive automounting as expected.

Comment 21 Fedora Update System 2014-11-05 03:56:28 UTC
systemd-208-26.fc20, kmod-15-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Zbigniew Jędrzejewski-Szmek 2014-11-05 04:04:49 UTC
Yeah, it seems that the 30s timeout is still triggered. The upstream codebase is signficantly different, so mostly likely I missed a spot when backporting.

Comment 23 Selwyn Quan 2014-11-06 17:17:08 UTC
The 30s timeout seems unrelated. Should mention that I have another Western Digital Passport USB drive which automounts correctly:

udisksctl info -b /dev/sdb

/org/freedesktop/UDisks2/block_devices/sdb:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sdb
    DeviceNumber:               2064
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD5000BMVV_11GNWS0_WD_WXR1E30TSN44'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-id-ata-WDC_WD5000BMVV-11GNWS0_WD-WXR1E30TSN44
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sdb
    ReadOnly:                   false
    Size:                       500079525888
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD5000BMVV-11GNWS0_WD-WXR1E30TSN44
                                /dev/disk/by-id/wwn-0x50014ee655c8cac0
                                /dev/disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0
  org.freedesktop.UDisks2.PartitionTable:
    Type:               dos


For the drive which does not automount:

udisksctl info -b /dev/sdc

/org/freedesktop/UDisks2/block_devices/sdc:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sdc
    DeviceNumber:               2080
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD30EZRX_00D8PB0_WD_WCC4N1148261'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-id-ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sdc
    ReadOnly:                   false
    Size:                       3000558944256
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261
                                /dev/disk/by-id/wwn-0x50014ee2b4ce7786
                                /dev/disk/by-path/pci-0000:00:12.2-usb-0:5:1.0-scsi-0:0:0:0
  org.freedesktop.UDisks2.PartitionTable:
    Type:               gpt


Not sure what is the difference between the two drives. Partion type, dos vs GPT, maybe?

Comment 24 Zbigniew Jędrzejewski-Szmek 2014-11-07 00:53:53 UTC
Could you test if systemd-208-27 changes things (http://koji.fedoraproject.org/koji/buildinfo?buildID=590734). The timeout is really increased here, and hopefully this will allow ata_id to run successfully.

Comment 25 Selwyn Quan 2014-11-08 04:29:25 UTC
~% rpm -q systemd                                                               
systemd-208-27.fc20.x86_64

Same as before, no automounting of the USB drive with this verion of systemd. Commenting out line #35 of /usr/lib/udev/rules.d/60-persistent-storage.rules results in automounting.

Comment 26 Zbigniew Jędrzejewski-Szmek 2014-11-08 21:46:57 UTC
(In reply to Selwyn Quan from comment #25)
> Same as before, no automounting of the USB drive with this verion of
> systemd.
Just great :(

> Commenting out line #35 of
> /usr/lib/udev/rules.d/60-persistent-storage.rules results in automounting.
That line runs ata_id, which should be a straightforward thing. What happens when you run: 

  /usr/lib/udev/ata_id /dev/sda

?

Comment 27 Selwyn Quan 2014-11-08 23:29:51 UTC
Running ata_id on the manually mounted drive works fine.

Setting:

udevadm control --log-priority=debug

and examining the logs it is clear that, as in https://bugzilla.redhat.com/show_bug.cgi?id=1091513#c8, blkid takes more than 30s to return.

Here is the relevant section from the logs. The delay is after probe /dev/sdb1 raid offset=0

Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07b7890 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0/...ck/sdb'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07be780 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0/...:0:0:0'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07b9150 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0/...12:0:0'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07d6eb0 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0/host12'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07d6a70 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6/1-6:1.0'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07b7b70 has devpath '/devices/pci0000:00/0000:00:12.2/usb1/1-6'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07c0d30 has devpath '/devices/pci0000:00/0000:00:12.2/usb1'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07c05b0 has devpath '/devices/pci0000:00/0000:00:12.2'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07bfe00 has devpath '/devices/pci0000:00'
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: GROUP 6 /usr/lib/udev/rules.d/50-udev-default.rules:51
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: device 0x7f8ba07b7890 filled with db file data
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-id/ata-WDC_WD30EZRX-00D8PB0_WD-WCC4N1148261-part1' /usr/lib/udev/rules....ules:43
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-path/pci-0000:00:12.2-usb-0:6:1.0-scsi-0:0:0:0-part1' /usr/lib/udev/rul...ules:57
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: IMPORT builtin 'blkid' /usr/lib/udev/rules.d/60-persistent-storage.rules:70
Nov 08 13:08:28 localhost.localdomain systemd-udevd[2826]: probe /dev/sdb1 raid offset=0
Nov 08 13:08:31 localhost.localdomain systemd-udevd[487]: validate module index
Nov 08 13:08:34 localhost.localdomain systemd-udevd[487]: validate module index

Nov 08 13:08:59 localhost.localdomain kernel: usb 1-6: reset high-speed USB device number 4 using ehci-pci
Nov 08 13:08:59 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-uuid/52205945-a827-43c4-adc3-8b8b2fa2e180' /usr/lib/udev/rules.d/60-per...ules:76
Nov 08 13:08:59 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-label/WD-USB-backup1' /usr/lib/udev/rules.d/60-persistent-storage.rules:77
Nov 08 13:08:59 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-id/wwn-0x50014ee2b4ce7786-part1' /usr/lib/udev/rules.d/60-persistent-st...ules:81
Nov 08 13:08:59 localhost.localdomain systemd-udevd[2826]: LINK 'disk/by-partuuid/843e6800-9488-4e1e-a0c6-4741aa0ca3e7' /usr/lib/udev/rules.d/60...ules:84

Comment 28 Selwyn Quan 2014-12-09 19:08:21 UTC
Looking more closely it seems that udevd blocks on a read system call for 30s. Here is the relevant portion of a strace file showing the blocked read call:

09:41:40 open("/dev/sdb1", O_RDONLY|O_CLOEXEC) = 6 <0.000034>
09:41:40 fadvise64(6, 0, 0, POSIX_FADV_RANDOM) = 0 <0.000125>
09:41:40 fstat(6, {st_mode=S_IFBLK|0600, st_rdev=makedev(8, 17), ...}) = 0 <0.000009>
09:41:40 ioctl(6, BLKGETSIZE64, 3000558899200) = 0 <0.000009>
09:41:40 open("/sys/dev/block/8:17", O_RDONLY|O_CLOEXEC) = 8 <0.000961>
09:41:40 newfstatat(8, "partition", {st_mode=S_IFREG|0444, st_size=4096, ...}, 0) = 0 <0.000022>
09:41:40 readlink("/sys/dev/block/8:17", "../../devices/pci0000:00/0000:00"..., 4095) = 95 <0.000035>
09:41:40 open("/sys/block/sdb/dev", O_RDONLY|O_CLOEXEC) = 9 <0.000045>
09:41:40 fstat(9, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0 <0.000045>
09:41:40 mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fae48aca000 <0.000970>
09:41:40 read(9, "8:16\n", 4096)        = 5 <0.000025>
09:41:40 close(9)                       = 0 <0.000019>
09:41:40 munmap(0x7fae48aca000, 4096)   = 0 <0.000016>
09:41:40 close(8)                       = 0 <0.000010>
09:41:40 sendmsg(5, {msg_name(0)=NULL, msg_iov(4)=[{"PRIORITY=7\nSYSLOG_FACILITY=3\nCOD"..., 146}, {"MESSAGE=", 8}, {"probe /dev/sdb1 raid offset=0", 29}, {"\n", 1}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 184 <0.000022>
09:41:40 fstat(6, {st_mode=S_IFBLK|0600, st_rdev=makedev(8, 17), ...}) = 0 <0.000010>
09:41:40 lseek(6, 3000558813184, SEEK_SET) = 3000558813184 <0.000009>
09:41:40 read(6, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 64) = 64 <31.119710>
09:42:11 lseek(6, 3000558891008, SEEK_SET) = 3000558891008 <0.000011>
09:42:11 read(6, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 256) = 256 <0.001066>
09:42:11 lseek(6, 0, SEEK_SET)          = 0 <0.000010>
09:42:11 read(6, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 256) = 256 <0.031559>

The process goes into an uninterruptible kill (D) state with the following stack trace:

[<ffffffff8118aab9>] __lock_page_killable+0xb9/0xe0
[<ffffffff8118ccb8>] generic_file_read_iter+0x3e8/0x610
[<ffffffff81238977>] blkdev_read_iter+0x37/0x40
[<ffffffff8120113b>] new_sync_read+0x8b/0xd0
[<ffffffff81201878>] vfs_read+0x98/0x170
[<ffffffff81202555>] SyS_read+0x55/0xd0
[<ffffffff817303b7>] tracesys+0xdd/0xe2
[<ffffffffffffffff>] 0xffffffffffffffff

Good news is that I have just tested Fedora 21 and this particular issue seem resolved for me at least.

Comment 29 Fedora End Of Life 2015-05-29 11:40:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 Fedora End Of Life 2015-06-29 20:17:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.